
Redmine - Patch #25114

Context menu positioning inside positioned DOM elements

2017-02-17 14:23 - Serge Galanin

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Description

In my theme the #content element is positioned relatively. It leads to an incorrect positioning of the context menu wich living inside

the #content. A most simple fix is to bubble the context menu up to the top of DOM. Can we use this way?

Patch based on r16333.

History

#1 - 2017-02-20 13:18 - Serge Galanin

- File 0001-fix-context-menu-positioning.patch added

#2 - 2017-10-16 11:22 - Pierre Maigne

I applied this patch today (Redmine 3.4.3), as I also noticed that the context menu always appeared incorrectly away from the mouse pointer. The

behavior is now has expected.

This very simple patch should be considered but a future release of Redmine.

Thank you Serge.

#3 - 2017-10-16 17:14 - Mischa The Evil

- Status changed from New to Needs feedback

- Target version set to Candidate for next minor release

Files

fix_context_menu_positioning.patch 621 Bytes 2017-02-17 Serge Galanin

context-menu-report.png 170 KB 2017-02-17 Serge Galanin

0001-fix-context-menu-positioning.patch 841 Bytes 2017-02-20 Serge Galanin
